Detail of AWS Origin
Gethttps://api.cdn77.com/v3/origin/aws/{id}Request parameters
idstring in pathrequired
Responses
Detail of the given Origin returned.
Response parameters
cdnsarray of objectsList of all CDN Resources assigned to the Origin.
idstringOrigin ID.
labelstringOrigin label.
notestringOptional note for the Origin.
schemestringAvailable values:
http,httpsaws_access_key_idstringLocated in the Security Credentials section of your AWS account.
aws_regionstringLocated in the Security Credentials section of your AWS account. Possibly stored as AWS_DEFAULT_REGION.
base_dirstringDirectory of the stored content on your AWS Origin. Maximum length is 255 characters.
hoststringAWS Origin host without scheme and port. Can be a domain name or an IP address.
portintegerAWS Origin port. If not specified, the default scheme port is used. Allowed range is between 1 and 65535.
typestringAvailable values:
aws,object-storage,storage,urlfallback_originsarray of objects
Example of the response
{
"cdns": [
{
"id": 1234567890,
"label": "My cdn"
}
],
"id": "e56564d1-8d3e-4457-93a6-082b054bc736",
"label": "My origin",
"note": "Note for my Origin",
"scheme": "https",
"aws_access_key_id": "KLAMIDYDRAP8CJYC1DN",
"aws_region": "us-east-1",
"base_dir": "/pictures/images",
"host": "my.s3.amazonaws.com",
"port": 1000,
"type": "aws",
"fallback_origins": [
{
"id": "9880280c-0507-46d1-88f3-71cfee83fa57"
}
]
}